Services/Maintenance Mode
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Responses
200
The request has succeeded.
application/json
400
The server could not understand the request due to invalid syntax.
application/json
401
Access is unauthorized.
application/json
402
Client error
application/json
403
Access is forbidden.
application/json
404
The server cannot find the requested resource.
application/json
409
The request conflicts with the current state of the server.
application/json
422
Client error
application/json
500
Server error
application/json
502
Server error
application/json
503
Service unavailable.
application/json
504
Server error
application/json
get/v3/services/{serviceID}/maintenance
GET /v3/services/{serviceID}/maintenance HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"service_id": "text",
"maintenance_from": "2026-01-01T00:00:00.000Z",
"maintenance_till": "2026-01-01T00:00:00.000Z",
"repetition_daily": true,
"repetition_weekly": true,
"repetition_two_weekly": true,
"repetition_three_weekly": true,
"repetition_monthly": true,
"deleted": true,
"repeat_till": "2026-01-01T00:00:00.000Z"
}
]
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Body
onMaintenancebooleanRequired
Responses
200
The request has succeeded.
application/json
datastringRequired
400
The server could not understand the request due to invalid syntax.
application/json
401
Access is unauthorized.
application/json
402
Client error
application/json
403
Access is forbidden.
application/json
404
The server cannot find the requested resource.
application/json
409
The request conflicts with the current state of the server.
application/json
422
Client error
application/json
500
Server error
application/json
502
Server error
application/json
503
Service unavailable.
application/json
504
Server error
application/json
post/v3/services/{serviceID}/maintenance
POST /v3/services/{serviceID}/maintenance HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 218
{
"onMaintenance": true,
"serviceMaintenance": [
{
"maintenanceStartDate": "text",
"maintenanceEndDate": "text",
"daily": true,
"weekly": true,
"twoWeekly": true,
"threeWeekly": true,
"monthly": true,
"deleted": true,
"repeatTill": "text"
}
]
}{
"data": "text"
}Last updated